.icon-selector {
  font-size: 0px;

  ///
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  ///

  .btn-category .btn {
    border-bottom-right-radius: 0px;
    border-top-right-radius: 0px;
    border-right: 0px;
  }

  .btn-subcategory .btn {
    border-bottom-left-radius: 0px;
    border-top-left-radius: 0px;
  }

  .waiting-icons {
    background-color: $gray-200;
    color: $gray-800;

    font-size: 14px;
  }

  .icon-category {
    h2 {
      color: $gray-800;
      background-color: $gray-300;
      font-weight: bold;
    }

    h3 {
      color: $gray-800;
      background-color: $gray-200;
    }

    h2, h3 {
      font-size: 14px;
      padding-left: 10px;
      cursor: pointer;
      margin: 0;
      line-height: 3em;

      & .fa-minus {
        display: none;
      }
    }

    &.open > h2, .open > h3 {
      .fa-minus {
        display: inline;
      }

      .fa-plus {
        display: none;
      }
    }

    .icon-subcategory {
      display: none;
      background: $white;
      margin: 0;
      padding: 0;

      li {
        text-align: center;
        display: inline-block;
        vertical-align: top;
        position: relative;

        img {
          width: 50px;
          height: 50px;
        }

        button {
          width: 115px;
        }

        button, img {
          border: 0;
          background: transparent;
          cursor: pointer;
        }

        .text {
          display: inline-block;
          font-size: 12px;
          color: $black;
        }


        &.selected {
          .fa-check {
            display: inline-block;
          }
        }

        .fa-check {
          display: none;

          color: $success;
          position: absolute;

          top: 28px;
          left: 30%;

          width: 16px;
          height: 16px;

          path {
            stroke: $black;
            stroke-width: 38px;
          }
        }
      }
    }

    &.open {
      .icon-subcategory {
        display: block;

        .filtered-icons {
          display: none;
        }
      }

      .icon-subcategory.open {
        padding-bottom: 10px;

        .filtered-icons {
          display: block;
        }
      }
    }
  }
}
